The organization IU commercial document with the catalog-v4 activity schedule
curl --request GET \
--url https://api.semicola.com/api/v2/billing/iu-rate-card/v4 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.semicola.com/api/v2/billing/iu-rate-card/v4"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.semicola.com/api/v2/billing/iu-rate-card/v4', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"billingCustomerId": 123,
"commercialStatus": "FREE",
"offer": {
"offerVersion": "<string>",
"rateCard": {
"name": "<string>",
"publicVersion": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z"
},
"serviceStart": "ON_ACCEPTANCE",
"initialTermMonths": 60,
"plans": [
{
"id": "<string>",
"planCode": "<string>",
"displayName": "<string>",
"displayOrder": 4503599627370495,
"includedIus": 4503599627370495,
"currency": "<string>",
"billingPeriodMonths": 1,
"commitmentBillingTiming": "PERIOD_START",
"usageBillingTiming": "PERIOD_END",
"resetInterval": "MONTH",
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 123,
"renewalPosture": "STANDARD_ROLLING",
"pricing": {
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495
},
"activitySchedule": [
{
"activityCode": "COMPLETED_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 123,
"unit": "RESPONSE",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 4503599627370495,
"pricing": "STANDARD",
"customIuAmountMilli": 4503599627370495,
"effectiveIuAmountMilli": 4503599627370495,
"billable": true,
"includedBackfillMonths": 60
}
]
}
],
"activityTerms": [
"<unknown>"
],
"activitySchedule": [
{
"activityCode": "COMPLETED_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 123,
"unit": "RESPONSE",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 4503599627370495,
"pricing": "STANDARD",
"customIuAmountMilli": 4503599627370495,
"effectiveIuAmountMilli": 4503599627370495,
"billable": true,
"includedBackfillMonths": 60
}
]
},
"currentBinding": {
"id": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "<string>",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 123,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
"<unknown>"
],
"activitySchedule": [
{
"activityCode": "COMPLETED_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 123,
"unit": "RESPONSE",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 4503599627370495,
"pricing": "STANDARD",
"customIuAmountMilli": 4503599627370495,
"effectiveIuAmountMilli": 4503599627370495,
"billable": true,
"includedBackfillMonths": 60
}
]
},
"history": [
{
"id": "<string>",
"rateCardPublicVersion": "<string>",
"planCode": "<string>",
"planName": "<string>",
"renewalPosture": "STANDARD_ROLLING",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"currency": "<string>",
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 123,
"acceptedAt": "2023-11-07T05:31:56Z",
"acceptanceSource": "SIGNUP",
"activityTerms": [
"<unknown>"
],
"activitySchedule": [
{
"activityCode": "COMPLETED_MERCHANDISING_CYCLE",
"displayName": "<string>",
"unitCount": 123,
"unit": "RESPONSE",
"catalogStatus": "PUBLISHED",
"standardIuAmountMilli": 4503599627370495,
"pricing": "STANDARD",
"customIuAmountMilli": 4503599627370495,
"effectiveIuAmountMilli": 4503599627370495,
"billable": true,
"includedBackfillMonths": 60
}
]
}
],
"setupGrant": {
"grantedIus": 123,
"grantedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"rolloverEnabled": false,
"status": "ACTIVE",
"attributionKind": "PROMOTION"
},
"calibratingActivities": [
"<unknown>"
],
"nextAction": "ACCEPT_GOVERNING_AGREEMENT"
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Billing
The organization IU commercial document with the catalog-v4 activity schedule
GET
/
api
/
v2
/
billing
/
iu-rate-card
/
v4
The organization IU commercial document with the catalog-v4 activity schedule
